#!/usr/bin/python
#encoding: utf8
"""
Dla zadanego pliku z przypisaniem pojec SUMO do synsetu okresla relacje pomiedzy SUMO a synsetami plWN

Kazda linia w pliku wejsciowym ma postac:
    nazwisko.1;por-7;6988;syn_pa;surname.1;por-7;161948;ContentBearingObject;subsumed;+

Przyklad uruchomienia:
    python wn_pwn2sumo_rel.py -i input.csv -o output_rel.csv

"""
from plumper.sumo import mapper
import argparse
import sys


def make_parser():
    desc = 'Dla zadanego pliku z przypisaniem pojec SUMO do synsetu okresla relacje pomiedzy SUMO a synsetami plWN'
    parser = argparse.ArgumentParser(description=desc)
    parser.add_argument('-i', '--input-file', dest='input_file', required=True)
    parser.add_argument('-o', '--output-file', dest='output_file',
                        required=True)
    return parser


def main(argv=None):
    parser = make_parser()
    args = parser.parse_args(argv)

    print >> sys.stderr, 'Mapping plwordnet to SUMO: Resolving relations...',
    mapper_obj = mapper.Mapper()
    fout = mapper_obj.second_step_sumo_mapping(args.input_file,
                                               args.output_file)
    fout.close()
    print >> sys.stderr, ' done!'


if __name__ == '__main__':
    main()
